## 1.1.4

* Avoid double callbacks in Rails >= 4.1.

* Fixes UnitializedConstant in TooManyRecords.

## 1.1.3

* Fix deprecation code.

## 1.1.2

* Deprecate `config.active_record.whitelist_attributes`.

* Fix integration with associations.

## 1.1.1

* Fix strong parameters integration.

* Remove warnings

* Fix `find_or_*` and `first_or_*` methods integration.

## 1.1.0

* Integrate with strong parameters. This allows to migrate a codebase partially
  from `protected_attributes` to `strong_parameters`. Every model that does not
  use a protection macro (`attr_accessible` or `attr_protected`), will be
  protected by strong parameters. The behavior stays the same for models, which
  use a protection macro.

  To fully restore the old behavior set:

      config.action_controller.permit_all_parameters = true

  Or add a callback to your controllers like this:

      before_action { params.permit! }

  Fixes #41.

## 1.0.9

* Fixes ThroughAssociation#build_record method on rails 4.1.10+

  Fixes #60, #63

* Fixes build_association method on rails 4.2.0+

  Fixes https://github.com/rails/rails/issues/18121

## 1.0.8 (June 16, 2014)

* Support Rails 4.0.6+ and 4.1.2+.

  Fixes #35


## 1.0.7 (March 12, 2014)

* Fix STI support on Active Record <= 4.0.3.


## 1.0.6 (March 10, 2014)

* Support to Rails 4.1

* Fix `CollectionProxy#new` method.

  Fixes #21


## 1.0.5 (November 1, 2013)

* Fix install error with Rails 4.0.1.
  Related with https://github.com/bundler/bundler/issues/2583


## 1.0.4 (October 18, 2013)

* Avoid override the entire Active Record initialization.

  Fixes rails/rails#12243


## 1.0.3 (June 29, 2013)

* Fix "uninitialized constant ActiveRecord::MassAssignmentSecurity::NestedAttributes::ClassMethods::REJECT_ALL_BLANK_PROC"
  error when using `:all_blank` option.

  Fixes #8

* Fix `NoMethodError` exception when calling `raise_nested_attributes_record_not_found`.


## 1.0.2 (June 25, 2013)

* Sync #initialize override to latest rails implementation

  Fixes #14


## 1.0.1 (April 6, 2013)

* Fix "uninitialized constant `ActiveRecord::SchemaMigration`" error
  when checking pending migrations.

  Fixes rails/rails#10109


## 1.0.0 (January 22, 2013)

* First public version
